com.independentsoft.exchange

## Class CalendarEvent

- java.lang.Object
- - com.independentsoft.exchange.CalendarEvent

-     public class CalendarEvent
      extends java.lang.Object

  Represents a unique calendar item occurrence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarEvent()` Initializes a new instance of the CalendarEvent class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Sets the start of a calendar event.
    `java.lang.String` | `getId()` Gets the entry ID of the calendar item.
    `LegacyFreeBusy` | `getLegacyFreeBusyStatus()` Gets the legacy free busy status.
    `java.lang.String` | `getLocation()` Gets the location field of the calendar item.
    `boolean` | `getReminderIsSet()` Gets whether a reminder has been set for the calendar event.
    `java.util.Date` | `getStartTime()` Gets the start of a calendar event.
    `java.lang.String` | `getSubject()` Gets the subject of the calendar item.
    `boolean` | `isException()` Gets whether an instance of a recurring calendar item is changed from the master.
    `boolean` | `isMeeting()` Gets whether the calendar event is a meeting or an appointment.
    `boolean` | `isPrivate()` Gets whether the calendar item is private.
    `boolean` | `isRecurring()` Gets whether the calendar event is an instance of a recurring calendar item or a single calendar item.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEvent

          public CalendarEvent()

      Initializes a new instance of the CalendarEvent class.

  - ### Method Detail

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start of a calendar event. This is a required child element.
      Returns:
        the start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Sets the start of a calendar event. This is a required child element.
      Returns:
        the end time

    - #### getLegacyFreeBusyStatus

          public LegacyFreeBusy getLegacyFreeBusyStatus()

      Gets the legacy free busy status.
      Returns:
        the legacy free busy status

    - #### getId

          public java.lang.String getId()

      Gets the entry ID of the calendar item.
      Returns:
        the id

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of the calendar item.
      Returns:
        the subject

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location field of the calendar item.
      Returns:
        the location

    - #### isMeeting

          public boolean isMeeting()

      Gets whether the calendar event is a meeting or an appointment.
      Returns:
        true, if is meeting

    - #### isRecurring

          public boolean isRecurring()

      Gets whether the calendar event is an instance of a recurring calendar item or a single calendar item.
      Returns:
        true, if is recurring

    - #### isException

          public boolean isException()

      Gets whether an instance of a recurring calendar item is changed from the master.
      Returns:
        true, if is exception

    - #### getReminderIsSet

          public boolean getReminderIsSet()

      Gets whether a reminder has been set for the calendar event.
      Returns:
        the reminder is set

    - #### isPrivate

          public boolean isPrivate()

      Gets whether the calendar item is private.
      Returns:
        true, if is private